$toolsLoc = Get-ToolsLocation

$vstssyncmigrationpath =Join-Path -Path $toolsLoc -ChildPath "\VSTSSyncMigration"
$migrationtoolspath =Join-Path -Path $toolsLoc -ChildPath "\MigrationTools"

if(test-path $vstssyncmigrationpath) {
  write-host "Cleaning out the contents of $vstssyncmigrationpath"
  Remove-Item "$($vstssyncmigrationpath)\*" -recurse -force -exclude *.json
}

if(test-path $migrationtoolspath) {
  write-host "Cleaning out the contents of $migrationtoolspath"
  Remove-Item "$($migrationtoolspath)\*" -recurse -force -exclude *.json
}

Install-ChocolateyZipPackage 'MigrationTools' 'https://github.com/nkdAgility/azure-devops-migration-tools/releases/download/v11.6.7/MigrationTools-11.6.7.zip' $migrationtoolspath -Checksum 94F6E352F87F54A43948E01C0E520B9F588E7B875D76A4F89B76E509AEBCF573 -ChecksumType SHA256
write-host 'Azure DevOps Migration have been installed. Call `migration` from the command line to see options. You may need to close and reopen the command shell.'
